digiKam Developer Documentation: Digikam::ActionCategorizedView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::ActionCategorizedView Class Reference
Inheritance diagram for Digikam::ActionCategorizedView:

## Public Member Functions
| ActionCategorizedView (QWidget *const parent=nullptr, bool autoScroll=false)
void | adjustGridSize ()
void | setupIconMode ()
Public Member Functions inherited from Digikam::DCategorizedView
| DCategorizedView (QWidget *const parent=nullptr)
virtual QModelIndexList | categorizedIndexesIn (const QRect &rect) const
| This method will return all indexes whose visual rect intersects `rect`.
virtual QModelIndex | categoryAt (const QPoint &point) const
| This method will return the first index of the category in the region of which `point` is found.
DCategoryDrawer * | categoryDrawer () const
virtual QItemSelectionRange | categoryRange (const QModelIndex &index) const
| This method returns the range of indexes contained in the category in which `index` is sorted.
virtual QRect | categoryVisualRect (const QModelIndex &index) const
| This method will return the visual rect of the header of the category in which `index` is sorted.
QModelIndex | indexAt (const QPoint &point) const override
void | setCategoryDrawer (DCategoryDrawer *categoryDrawer)
void | setDrawDraggedItems (bool drawDraggedItems)
| Switch on drawing of dragged items.
void | setGridSize (const QSize &size)
void | setModel (QAbstractItemModel *model) override
QRect | visualRect (const QModelIndex &index) const override

## Protected Member Functions
void | autoScroll (float relativePos, QScrollBar *scrollBar, QPropertyAnimation *animation)
int | autoScrollDuration (float relativeDifference, QPropertyAnimation *animation)
void | leaveEvent (QEvent *e) override
void | mouseMoveEvent (QMouseEvent *e) override
Protected Member Functions inherited from Digikam::DCategorizedView
void | dragLeaveEvent (QDragLeaveEvent *event) override
void | dragMoveEvent (QDragMoveEvent *event) override
void | dropEvent (QDropEvent *event) override
void | leaveEvent (QEvent *event) override
void | mouseMoveEvent (QMouseEvent *event) override
void | mousePressEvent (QMouseEvent *event) override
void | mouseReleaseEvent (QMouseEvent *event) override
QModelIndex | moveCursor (CursorAction cursorAction, Qt::KeyboardModifiers modifiers) override
void | paintEvent (QPaintEvent *event) override
void | resizeEvent (QResizeEvent *event) override
void | setSelection (const QRect &rect, QItemSelectionModel::SelectionFlags flags) override
void | startDrag (Qt::DropActions supportedActions) override

## Protected Attributes
bool | m_autoScroll = false
QPropertyAnimation * | m_horizontalScrollAnimation = nullptr
QPropertyAnimation * | m_verticalScrollAnimation = nullptr

## Additional Inherited Members
Public Slots inherited from Digikam::DCategorizedView
void | reset () override
Protected Slots inherited from Digikam::DCategorizedView
void | currentChanged (const QModelIndex &current, const QModelIndex &previous) override
void | rowsInserted (const QModelIndex &parent, int start, int end) override
virtual void | rowsInsertedArtifficial (const QModelIndex &parent, int start, int end)
virtual void | rowsRemoved (const QModelIndex &parent, int start, int end)
virtual void | slotLayoutChanged ()
void | updateGeometries () override